using UnityEngine;
using System.Collections;

public class LevelCheckpoint : MonoBehaviour {

	public LevelControler levelControler;

	// Use this for initialization
	void Start () {
		levelControler = FindObjectOfType<LevelControler> ();
	}

	void OnTriggerEnter2D(Collider2D other){
		if (other.name == "Player"){
			levelControler.currentCheckpoint = gameObject;
			Instantiate (levelControler.checkpointParticle,levelControler.currentCheckpoint.transform.position, levelControler.currentCheckpoint.transform.rotation);	// Skopiowanie prefabrykatu na scenę w miejsce gdzie jest gracz
			gameObject.GetComponent<CircleCollider2D>().enabled = false;				// Wyłączenie collider'a, żeby nie rozpoznawał ponownie kolizji
		}
	}
	// Update is called once per frame
	void Update () {
	
	}
}
